/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro;

import org.junit.jupiter.api.Test;
import org.xwiki.model.EntityType;
import org.xwiki.rendering.macro.display.DisplayMacroParameters;

import static org.junit.jupiter.api.Assertions.assertSame;

/**
 * Validate {@link DisplayMacroParameters}.
 * 
 * @version $Id: d0d8a2c9038becc2fc5e9fd1083e1f881ab99b77 $
 */
public class DisplayMacroParametersTest
{
    @Test
    public void setPage()
    {
        DisplayMacroParameters parameters = new DisplayMacroParameters();

        parameters.setPage("page");

        assertSame(EntityType.PAGE, parameters.getType());
    }
}
