/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.index.security.review;

import org.xwiki.stability.Unstable;

/**
 * The review result of a vulnerability.
 *
 * @version $Id: 3391980c22de01c5108885dc69c8dfe05d83fecb $
 * @since 15.6RC1
 */
@Unstable
public enum ReviewResult
{
    /**
     * When the conclusion of the analysis is that the vulnerability is safe.
     */
    SAFE,

    /**
     * When the conclusion of the analysis is that the vulnerability can be unsafe.
     */
    UNSAFE
}
