/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.script.internal.safe;

import javax.inject.Inject;

import org.xwiki.script.safe.ScriptSafeProvider;
import org.xwiki.security.authorization.ContextualAuthorizationManager;
import org.xwiki.security.authorization.Right;

/**
 * Base helper for {@link ScriptSafeProvider} implementations.
 * 
 * @param <T>
 * @version $Id: 6ffbfaf76d3052cb9a91d36eccf4a3d57fa6a258 $
 * @since 6.2M1
 */
public abstract class AbstractScriptSafeProvider<T> implements ScriptSafeProvider<T>
{
    @Inject
    protected ContextualAuthorizationManager authorization;

    protected boolean hasProgrammingRights()
    {
        return this.authorization.hasAccess(Right.PROGRAM);
    }
}
