/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.security.internal;

import java.util.List;

import org.xwiki.job.DefaultRequest;
import org.xwiki.job.Request;

import static org.xwiki.extension.security.internal.ExtensionSecurityJob.JOBTYPE;

/**
 * The request object for {@link  ExtensionSecurityJob}.
 *
 * @version $Id: 4ca9b87fd28c82c78ec4d18df7a508737c69528b $
 * @since 15.5RC1
 */
public class ExtensionSecurityRequest extends DefaultRequest
{
    /**
     * Default constructor with a request.
     *
     * @param request the request to copy
     */
    public ExtensionSecurityRequest(Request request)
    {
        super(request);
    }

    /**
     * Default constructor.
     */
    public ExtensionSecurityRequest()
    {
        setId(List.of(JOBTYPE));
    }
}
