/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.job.handler.internal;

import org.xwiki.component.annotation.Role;
import org.xwiki.resource.ResourceReferenceHandlerException;
import org.xwiki.url.internal.ParentResourceReference;

/**
 * Sub-handlers for the {@link JobRootResourceReferenceHandler}.
 * 
 * @version $Id: f8d2ba78284732cd0a5b5ff77c4928d04c5f52d3 $
 * @since 10.2
 */
@Role
public interface JobResourceReferenceHandler
{
    /**
     * @param reference the reference
     * @throws ResourceReferenceHandlerException when failing to handle the resource reference
     */
    void handle(ParentResourceReference reference) throws ResourceReferenceHandlerException;
}
