/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.like;

import org.xwiki.component.annotation.Role;

/**
 * Configuration API for Like.
 *
 * @version $Id: b921037f30e9660ea706702e6403e9b671b0398f $
 * @since 12.7RC1
 */
@Role
public interface LikeConfiguration
{
    /**
     * @return {@code true} if the button showing Like information should be displayed even when users don't have rights
     *          to interact with it.
     */
    boolean alwaysDisplayButton();

    /**
     * @return the maximum number of like information to keep in cache.
     */
    int getLikeCacheCapacity();

    /**
     * @return {@code true} if the like feature is enabled.
     * @since 13.1RC1
     */
    default boolean isEnabled()
    {
        return true;
    }
}
