/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.localization.wiki.internal;

import org.xwiki.component.annotation.Role;

/**
 * Configuration of the wiki translations.
 *
 * @since 14.10.2
 * @since 15.0RC1
 * @version $Id: 8abca414f04d725ba358e84dbea69be1ab8ea5ce $
 */
@Role
public interface WikiTranslationConfiguration
{
    /**
     * @return if translations with user scope shall be restricted to users with script right
     */
    boolean isRestrictUserTranslations();
}
