/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.model;

import org.xwiki.component.annotation.Role;

/**
 * Provides configuration options for the Model module.
 *
 * @version $Id: c57230c53519758d3a60f76eb3a958b6b9c5944a $
 * @since 2.2M1
 */
@Role
public interface ModelConfiguration
{
    /**
     * @param type the type for which to return the default value
     * @return the default value to use when a reference doesn't have the passed type specified
     */
    String getDefaultReferenceValue(EntityType type);
}
