/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.notifications.sources.internal;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotEquals;

/**
 * Tests for {@link TagNotificationFilterPreference}.
 *
 * @version $Id: fecbba71d354a89c990d4871b69e99413a531b3d $
 */
public class TagNotificationFilterPreferenceTest
{
    @Test
    public void equals()
    {
        TagNotificationFilterPreference pref1 = new TagNotificationFilterPreference("mytag", "mywiki");
        TagNotificationFilterPreference pref2 = new TagNotificationFilterPreference("mytag", "mywiki");
        assertEquals(pref1, pref2);
        assertEquals(pref1.hashCode(), pref2.hashCode());

        pref2 = new TagNotificationFilterPreference("anothertag", "mywiki");
        assertNotEquals(pref1, pref2);
        assertNotEquals(pref1.hashCode(), pref2.hashCode());

        pref2 = new TagNotificationFilterPreference("mytag", "anotherwiki");
        assertNotEquals(pref1, pref2);
        assertNotEquals(pref1.hashCode(), pref2.hashCode());
    }
}
