/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.filter.input;

import java.io.IOException;
import java.io.InputStream;

import org.xwiki.filter.input.AbstractInputStreamInputSource;
import org.xwiki.filter.input.InputSource;

import com.xpn.xwiki.doc.XWikiAttachmentContent;

/**
 * An implementation of {@link InputSource} for attachments.
 * 
 * @version $Id: 36dc8f92b9e109ee7879d608d0dd91f9af42b7f6 $
 * @since 12.0RC1
 */
public class XWikiAttachmentContentInputSource extends AbstractInputStreamInputSource
{
    private XWikiAttachmentContent content;

    /**
     * @param content the attachment content
     */
    public XWikiAttachmentContentInputSource(XWikiAttachmentContent content)
    {
        this.content = content;
    }

    @Override
    protected InputStream openStream() throws IOException
    {
        return this.content.getContentInputStream();
    }
}
