/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.xml;

import java.util.Arrays;
import java.util.List;

import org.junit.Assert;
import org.junit.Test;
import org.xwiki.xml.XMLUtils;

/**
 * Unit tests for {@link XMLAttributeValueFilter}.
 * 
 * @version $Id: 9e3103bb4fc8932b16acfa9c4e5f37315714aed0 $
 */
public class XMLAttributeValueFilterTest
{
    /**
     * The object being tested.
     */
    private final XMLAttributeValueFilter filter = new XMLAttributeValueFilter();

    /**
     * Tests the XML escaping of the attribute values. Ensures that {@link XMLAttributeValueFilter} behaves exactly as
     * {@link XMLUtils#escape(Object)}.
     */
    @Test
    public void process()
    {
        List<String> inputs = Arrays.asList("a<b>c\"d'e{f&g");
        for (String input : inputs) {
            Assert.assertEquals(XMLUtils.escape(input), filter.process(input));
        }
    }
}
