/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.panels.internal;

import javax.inject.Named;
import javax.inject.Singleton;
import org.xwiki.component.annotation.Component;

/**
 * Left panels UI extension manager.
 *
 * @version $Id: 588e2fddebb30176c3d89e88afa658a41db98937 $
 * @since 4.3.1
 */
@Component
@Singleton
@Named("platform.panels.leftPanels")
public class LeftPanelsUIExtensionManager extends AbstractPanelsUIExtensionManager
{
    @Override
    protected String getConfiguration()
    {
        return this.configurationSource.getProperty("leftPanels");
    }
}
