/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.refactoring.event;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.fail;

/**
 * Unit tests for {@link DocumentRenamedEvent}.
 * 
 * @version $Id: 1236f0012b1af9ec1f768edc4f8e188d1bc298a4 $
 */
public class DocumentRenamedEventTest
{
    @Test
    public void cancelThrowsException()
    {
        DocumentRenamedEvent event = new DocumentRenamedEvent();
        assertFalse(event.isCanceled());

        try {
            event.cancel();
            fail();
        } catch (UnsupportedOperationException e) {
            // This event can't be canceled.
        }
    }
}
