/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro.gallery;

import java.util.Map;

import org.junit.jupiter.api.Test;
import org.xwiki.rendering.block.MacroBlock;
import org.xwiki.rendering.macro.MacroContentParser;
import org.xwiki.rendering.macro.MacroPreparationException;
import org.xwiki.test.junit5.mockito.ComponentTest;
import org.xwiki.test.junit5.mockito.InjectMockComponents;
import org.xwiki.test.junit5.mockito.MockComponent;

import static org.mockito.Mockito.verify;

/**
 * Validate {@link GalleryMacro}.
 * 
 * @version $Id: 1350fd70e34209da7af271faf4f75ddf7354fc96 $
 */
@ComponentTest
class GalleryMacroTest
{
    @MockComponent
    private MacroContentParser contentParser;

    @InjectMockComponents
    private GalleryMacro macro;

    @Test
    void prepare() throws MacroPreparationException
    {
        MacroBlock macroBlock = new MacroBlock("gallery", Map.of(), false);

        this.macro.prepare(macroBlock);

        verify(this.contentParser).prepareContentWiki(macroBlock);
    }
}
