/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.mockito.configuration;

/**
 * Mockito Configuration to disable the class cache for the {@link org.xwiki.test.isolation.IsolatedTestRunner}.
 *
 * @version $Id: 4d915d4becaf335c94b9073f77f3ac306cbe8699 $
 * @since 5.0M2
 */
public class MockitoConfiguration extends DefaultMockitoConfiguration
{
    @Override
    public boolean enableClassCache()
    {
        return false;
    }
}
