/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.platform.security.requiredrights.internal.provider;

import java.util.function.Supplier;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.rendering.block.Block;

/**
 * Provides a way to easily construct a supplier that just displays the given string.
 *
 * @version $Id: 8e65be041466ec1c1aabd9afdcae5ff7494d7132 $
 */
@Component
@Singleton
@Named("stringCode")
public class StringCodeBlockSupplierProvider extends AbstractBlockSupplierProvider<String>
{
    @Override
    public Supplier<Block> get(String string, Object... parameters)
    {
        return () -> getCodeBlock(string);
    }
}
