/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.skin.test.po;

import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.xwiki.test.ui.po.BaseElement;

/**
 * A specific template of the wiki skin.
 * 
 * @version $Id: c3e4f56d01f4744becc8a2c38d2be21bbd875e0f $
 * @since 15.9RC1
 */
public class SkinTemplateElement extends BaseElement
{
    private final WebElement rootElement;

    public SkinTemplateElement(WebElement rootElement)
    {
        this.rootElement = rootElement;
    }

    public void setContent(String content)
    {
        WebElement contentElement = getDriver().findElementWithoutWaiting(this.rootElement, By.tagName("textarea"));
        contentElement.clear();
        contentElement.sendKeys(content);
    }
}
