/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.store.filesystem;

/**
 * Exception for the Store - Filesystem - Old Core module.
 *
 * @version $Id: 78f3aeb005c7309962fd44536da6c0cdcb755ceb $
 * @since 14.9RC1
 */
public class StoreFilesystemOldcoreException extends Exception
{
    /**
     * Constructs a new filesystem oldcore exception with the specified detail message and cause.
     *
     * @param message the detail message (which is saved for later retrieval by the {@link #getMessage()} method).
     * @param cause the cause (which is saved for later retrieval by the {@link #getCause()} method).  (A
     *     {@code null} value is permitted, and indicates that the cause is nonexistent or unknown.)
     */
    public StoreFilesystemOldcoreException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
