/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.wiki.internal.descriptor;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * Vaidate {@link DefaultWikiDescriptor}.
 * 
 * @version $Id: b44c2b0a835487117bf7a44a15f663979ffd4215 $
 */
public class DefaultWikiDescriptorTest
{
    @Test
    public void constructor()
    {
        DefaultWikiDescriptor descriptor = new DefaultWikiDescriptor("id", "alias", "owner");

        assertEquals("id", descriptor.getId());
        assertEquals("alias", descriptor.getDefaultAlias());
        assertEquals("owner", descriptor.getOwnerId());
    }
}
