/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.extension.security.notifications;

import javax.inject.Named;
import javax.inject.Singleton;

import org.xwiki.component.annotation.Component;
import org.xwiki.eventstream.RecordableEventDescriptor;

/**
 * Descriptor for the {@link NewExtensionSecurityVulnerabilityTargetableEvent}.
 *
 * @version $Id: 64ab9f996c0d02cd926c840277d9d352e969acb3 $
 * @since 15.5RC1
 */
@Component
@Singleton
@Named(NewExtensionSecurityVulnerabilityTargetableEventDescriptor.TYPE)
public class NewExtensionSecurityVulnerabilityTargetableEventDescriptor implements RecordableEventDescriptor
{
    /**
     * Event type identifier.
     */
    public static final String TYPE = "NewExtensionSecurityVulnerabilityTargetableEventDescriptor";

    @Override
    public String getEventType()
    {
        return NewExtensionSecurityVulnerabilityTargetableEvent.class.getCanonicalName();
    }

    @Override
    public String getApplicationName()
    {
        return "extension.security.notification.applicationName";
    }

    @Override
    public String getDescription()
    {
        return "extension.security.events.newSecurityVulnerability.description";
    }

    @Override
    public String getApplicationIcon()
    {
        return "warning";
    }
}
